tech-kern archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Calling all tablet users!

On Wed, Aug 27, 2008 at 5:21 AM, Wouter Klouwen <> 
> Jason Beaudoin( said 2008.08.26 21:59:00 
> +0000:
>> I have been working on an extension to the wscons system for tablet
>> support in NetBSD, and I'm at a point where feedback is needed.
>> Testing is in order, but some more scaffolding is needed before ya'll
>> can help out with that ;)
> I have been waiting for this for a few years now. Bring it on.


>> so a couple survey questions for you tablet users:
>>  . what tablet are you using? (make/model)
>>  . how/where are you using your tablet? X?
>>  . if in X, which driver is your tablet using?
> I've got a Wacom Bamboo*. I'm using it in X, but currently just with the
> wsmouse driver, which sucks serious balls.


> I can give you the details of the device if you tell me what commands to
> run.

I believe the usbtablet driver with X that Geert mentioned, will work.
So that driver shall get a bit of work to support wstablet, and we'll
go from there.

is your device reported by the kernel in dmesg?

>  *:
>> With this information I can make the necessary changes and we can test
>> out wstablet with real hardware (I've been using a mouse until now..)
> One problem I have is that the laptop I use the tablet on has a LFS
> partition and LFS doesn't work in -current. Is there any way your wstablet
> stuff could be back ported to 4.0?

yes, we've taken careful steps to maintain backwards compatibility.
Eventually we'll need to handle the wsevent version issue, but the
purpose of that fix will be to maintain that backwards compatibility.

thanks for sharing!


Home | Main Index | Thread Index | Old Index